import { OnChanges, AfterContentInit, ElementRef, SimpleChanges, EventEmitter } from '@angular/core';
import { PropertyDictionary } from '../common';
export declare function provideParent(component: any): {
    provide: typeof GcComponents;
    useExisting: import("@angular/core").Type<any>;
};
export declare abstract class GcComponents<T extends object> implements OnChanges, AfterContentInit {
    protected _container: Element;
    protected _imCtrl: T;
    propDic: PropertyDictionary;
    constructor(ref: ElementRef);
    ngOnChanges(changes: SimpleChanges): void;
    protected setValueToIMControl(key: string, value: any): void;
    private isSetAccessor;
    ngAfterContentInit(): void;
    protected abstract initGcComponent(): void;
    protected abstract bindEvent(): void;
    private tryGetPropertyOperator;
    private hasRealMethod;
    getNestedIMControl(): T;
    createTemplate(element: HTMLElement): void;
    name: string;
    onInitialized: EventEmitter<object>;
}
