import { ElementRef, EventEmitter } from '@angular/core';
import * as GC from '@grapecity/inputman';
import { GcInputManBaseComponent } from './GcInputManBase';
export declare class GcMultilineTextBoxComponent extends GcInputManBaseComponent<GC.InputMan.GcMultiLineTextBox> {
    constructor(ref: ElementRef);
    countWrappedLine: boolean;
    lengthAsByte: boolean;
    maxLength: number;
    maxLineCount: number;
    imeReadingStringKanaMode: GC.InputMan.KanaMode;
    scrollBarMode: GC.InputMan.ScrollBarMode;
    scrollBars: GC.InputMan.ScrollBars;
    wordWrap: boolean;
    acceptsReturn: boolean;
    acceptsTab: boolean;
    imeReadingStringAppend: boolean;
    height: number;
    imeReadingStringEnableAlphabetReadingMapping: boolean;
    exitOnLastChar: boolean;
    highlightText: boolean;
    format: string;
    autoConvert: boolean;
    text: string;
    lines: Array<string>;
    imeReadingString: string;
    cursorPosition: GC.InputMan.MultiLineCursorPosition;
    onEditStatusChanged: EventEmitter<object>;
    onInvalidInput: EventEmitter<object>;
    onKeyExit: EventEmitter<object>;
    onTextChanged: EventEmitter<object>;
    onIMEReadingStringOutput: EventEmitter<object>;
    textChange: EventEmitter<string>;
    imeReadingStringChange: EventEmitter<string>;
    protected initGcComponent(): void;
    protected bindEvent(): void;
}
