import { ElementRef, EventEmitter } from '@angular/core';
import * as GC from '@grapecity/inputman';
import { GcComponents } from './GcComponents';
export declare class GcCalendarComponent extends GcComponents<GC.InputMan.GcCalendar> {
    constructor(ref: ElementRef);
    protected initGcComponent(): void;
    visible: boolean;
    maxSelectionCount: number;
    selectionMode: GC.InputMan.CalendarSelectionMode;
    selectedDate: Date | null;
    enabled: boolean;
    weekTitleSelect: boolean;
    weekNumberSelect: boolean;
    focusDate: Date | null;
    maxDate: Date | null;
    minDate: Date | null;
    allowSelection: GC.InputMan.AllowSelection;
    emptyRows: GC.InputMan.EmptyRows;
    firstDayOfWeek: GC.InputMan.DayOfWeek;
    firstFiscalMonth: GC.InputMan.Months;
    firstMonthInView: GC.InputMan.Months;
    yearMonthFormat: string;
    headerFormat: string;
    showZoomButton: boolean;
    showRokuyou: GC.InputMan.Rokuyou;
    showHeader: boolean;
    showToday: boolean;
    showWeekNumber: boolean;
    showTrailing: boolean;
    calendarYear: GC.InputMan.CalendarYear;
    showNavigator: GC.InputMan.CalendarNavigators;
    navigatorOrientation: string;
    overrideTipText: string;
    calendarType: GC.InputMan.CalendarType;
    calendarDimensions: Array<number>;
    scrollRate: number;
    onClickDate: EventEmitter<object>;
    onScrolled: EventEmitter<object>;
    onFocusDateChanged: EventEmitter<object>;
    onSelectedDateChanged: EventEmitter<object>;
    focusDateChange: EventEmitter<object>;
    selectedDateChange: EventEmitter<object>;
    protected bindEvent(): void;
}
