import { ElementRef, EventEmitter } from '@angular/core';
import * as GC from '@grapecity/inputman';
import { GcComponents } from './GcComponents';
export declare class GcDateTimePickerComponent extends GcComponents<GC.InputMan.GcDateTimePicker> {
    constructor(ref: ElementRef);
    selectedValue: Date;
    maxDate: Date;
    minDate: Date;
    type: GC.InputMan.PickerType;
    minuteInterval: GC.InputMan.Interval;
    secondsInterval: GC.InputMan.Interval;
    visible: boolean;
    hasSeconds: string;
    showMidnightAs24: string;
    yearFormat: Function;
    monthFormat: Function;
    dayFormat: Function;
    selectedDateChanged: EventEmitter<object>;
    selectedValueChange: EventEmitter<object>;
    protected initGcComponent(): void;
    protected bindEvent(): void;
}
