import { QueryList, ElementRef, EventEmitter } from '@angular/core';
import * as GC from '@grapecity/inputman';
import { GcComponents } from './GcComponents';
export declare class GcFunctionKeyInfoComponent {
    key: GC.InputMan.FunctionKey;
    description: string;
    tipText: string;
    displayStyle: GC.InputMan.DisplayStyle;
    imagePosition: GC.InputMan.ImagePosition;
}
export declare class GcFunctionKeyComponent extends GcComponents<GC.InputMan.GcFunctionKey> {
    keyRepeat: boolean;
    handleMouse: boolean;
    showTip: boolean;
    combinationKeyDisplayMode: GC.InputMan.CombinationKeyDisplayMode;
    functionKeys: (GC.InputMan.FunctionKeyInfo | GC.InputMan.FunctionKey)[];
    enabled: boolean;
    visible: boolean;
    functionKeyComponents: QueryList<GcFunctionKeyInfoComponent>;
    onActived: EventEmitter<object>;
    constructor(ref: ElementRef);
    protected initGcComponent(): void;
    protected bindEvent(): void;
}
