import { ElementRef, EventEmitter } from '@angular/core';
import * as GC from '@grapecity/inputman';
import { GcComponents } from './GcComponents';
export declare class GcSoftKeyboardComponent extends GcComponents<GC.InputMan.GcSoftKeyboard> {
    opened?: boolean;
    randomDisplay?: boolean;
    hideButtonWhenMouseOn?: boolean;
    displayType?: GC.InputMan.DisplayType | null;
    showSecurityOptions?: boolean;
    securityLevel?: GC.InputMan.SecurityLevel | null;
    qwertyLayout?: boolean;
    showCapitalLetters?: boolean;
    target?: string;
    enabled?: boolean;
    onOpen?: EventEmitter<object>;
    onClose?: EventEmitter<object>;
    onKeyPress?: EventEmitter<object>;
    constructor(ref: ElementRef);
    protected initGcComponent(): void;
    protected bindEvent(): void;
    protected setValueToIMControl(key: string, value: any): void;
    private setOpened;
    private setTarget;
    private tryGetTarget;
}
